#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Locale
%define	pnam	Maketext-Gettext
Summary:	Locale::Maketext::Gettext - Joins the gettext and Maketext frameworks
Summary(pl.UTF-8):	Locale::Maketext::Gettext - łączenie szkieletów gettext i Maketext
Name:		perl-Locale-Maketext-Gettext
Version:	1.28
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Locale/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a5fd46056d0c7bcf4781dc922451a82c
URL:		http://search.cpan.org/dist/Locale-Maketext-Gettext/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Locale::Maketext::Gettext joins the GNU gettext and Maketext
frameworks. It is a subclass of Locale::Maketext(3) that follows the
way GNU gettext works. It works seamlessly, both in the sense of GNU
gettext and Maketext. As a result, you enjoy both their advantages,
and get rid of both their problems, too.

You start as an usual GNU gettext localization project: Work on PO
files with the help of translators, reviewers and Emacs. Turn them
into MO files with msgfmt. Copy them into the appropriate locale
directory, such as /usr/share/locale/de/LC_MESSAGES/myapp.mo.

Then, build your Maketext localization class, with your base class
changed from Locale::Maketext(3) to Locale::Maketext::Gettext. That's
all.

%description -l pl.UTF-8
Locale::Maketext::Gettext łączy szkielety GNU gettext i Maketext. Jest
podklasą Locale::Maketext(3) działającą w taki sposób, jak GNU
gettext. Działa w sposób przezroczysty, zarówno w znaczeniu GNU
gettexta, jak i Maketexta. W efekcie można cieszyć się zaletami ich
obu i pozbyć ich problemów.

Pracę zaczyna się jak w zwykłym projekcie lokalizacji GNU gettexta:
pracuje na plikach PO z pomocą tłumaczy, recenzentów i Emacsa.
Następnie zamienia je na pliki MO przy użyciu msgfmt, kopiuje do
odpowiednich katalogów lokalizacji, takich jak
/usr/share/locale/de/LC_MESSAGES/myapp.mo.

Następnie tworzy się klasę lokalizacji Maketexta z klasą podstawową
zmienioną z Locale::Maketext(3) na Locale::Maketext::Gettext. To
wszystko.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
mv -f t/00-signature.t{,.blah}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS Changes README
%attr(755,root,root) %{_bindir}/maketext
%{perl_vendorlib}/Locale/Maketext/Gettext.pm
%{perl_vendorlib}/Locale/Maketext/Gettext
%{_mandir}/man1/maketext.1p*
%{_mandir}/man3/Locale::Maketext::Gettext*.3pm*
%changelog
* Sun Oct 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 33e9909
- more verbose files

* Wed Sep 16 2009 amateja <amateja@pld-linux.org> bebabbb
- updated to 1.28

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0763424
- up to 1.24

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> b1611f3
- up to 1.22

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 27fa032
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 66428ce
- converted to UTF-8

* Wed Oct 25 2006 Jakub Bogusz <qboosh@pld-linux.org> ad80bb9
- bindir attr

* Wed Oct 25 2006 ankry <ankry@pld-linux.org> 7d46781
- added files, rel. 1

* Sun Feb 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 68b94bf
- pl

* Wed Feb 15 2006 mguevara <mguevara@pld-linux.org> 3ffb0d3
- Locale::Maketext::Gettext - Joins the gettext and Maketext frameworks

